unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, SHDocVw, Spin;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    Button1: TButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Button2: TButton;
    CheckBox1: TCheckBox;
    Label2: TLabel;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure WebBrowser1DocumentComplete(Sender: TObject;
      const pDisp: IDispatch; var URL: OleVariant);
    procedure SpinEdit1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Init;
  end;

var
  Form1: TForm1;
  SimpleEdit:Variant;

implementation

{$R *.dfm}

procedure TForm1.Init;
var Doc:Variant;
    i:integer;
begin
{  }
Doc:=WebBrowser1.Document;
{  }
for i:=0 to Doc.All.Length-1 do
  {    , ..     Name}
  if(Doc.All.Item(i).tagName='INPUT')then
    { .   =)}
    begin
      if(lowercase(Doc.All.Item(i).name)='simpleedit')then
        SimpleEdit:=Doc.All.Item(i);
    end;
{      . MSDN.
 Web Development -> HTML and Dynamic HTML -> SDK Doc.}
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
{ }
WebBrowser1.Navigate(ExtractFilePath(Application.ExeName)+'test.htm');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
{  }
SimpleEdit.value:=InputBox('Enter text', 'Text:', '');
end;

procedure TForm1.WebBrowser1DocumentComplete(Sender: TObject;
  const pDisp: IDispatch; var URL: OleVariant);
begin
{   }
Init;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
SimpleEdit.size:=SpinEdit1.Value-1;
{-1 ..   }
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
{     }
SimpleEdit.focus();
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
{  " "}
SimpleEdit.readOnly:=CheckBox1.Checked;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
{  }
Label2.Caption:=' : '+SimpleEdit.value;
end;

end.
